From: Arnaud Rebillout <arnaudr@kali.org>
Date: Fri, 8 Nov 2024 10:54:33 +0700
Subject: Remove trailing '+' from python_version, if any

Fix the following test failure:

```
_ ERROR collecting .pybuild/cpython3_3.12_cassandra/build/tests/unit/io/test_asyncorereactor.py _
tests/unit/io/test_asyncorereactor.py:65: in <module>
    has_asyncore = Version(platform.python_version()) < Version("3.12.0")
/usr/lib/python3/dist-packages/packaging/version.py:202: in __init__
    raise InvalidVersion(f"Invalid version: '{version}'")
E   packaging.version.InvalidVersion: Invalid version: '3.12.7+'
```

Reported at https://bugs.debian.org/1087011
---
 tests/unit/io/test_asyncorereactor.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/unit/io/test_asyncorereactor.py b/tests/unit/io/test_asyncorereactor.py
index 06328a6..7837cac 100644
--- a/tests/unit/io/test_asyncorereactor.py
+++ b/tests/unit/io/test_asyncorereactor.py
@@ -62,7 +62,7 @@ class AsyncorePatcher(unittest.TestCase):
             except:
                 pass
 
-has_asyncore = Version(platform.python_version()) < Version("3.12.0")
+has_asyncore = Version(platform.python_version().rstrip('+')) < Version("3.12.0")
 @unittest.skipUnless(has_asyncore, "asyncore has been removed in Python 3.12")
 class AsyncoreConnectionTest(ReactorTestMixin, AsyncorePatcher):
 
